commit b976ca8
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed May 31 12:11:26 2017 -0700

    Update the release notes for 2.0.13.
    
    Change-Id: I4e1b1b9bd35d0a2af9f6b156605d3e5c6cdd7934
    Reviewed-on: https://code.wireshark.org/review/21865
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit bf1e99e
Author: Michael Mann <mmann78@netscape.net>
Date:   Mon May 29 11:30:16 2017 -0400

    GTK: Bugfix not allowing extcap capture filters to be verified.
    
    Matches Id45052f21ebb290bf92c201370584156a65f2e19
    
    Change-Id: I2b097d176ec3ce0637af95d66d2f58b834c79ea2
    Reviewed-on: https://code.wireshark.org/review/21783
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 4e05adcfb20d297d559ae787ac0fcef637d67ef3)
    Reviewed-on: https://code.wireshark.org/review/21785

commit 426672c
Author: Stig Bjørlykke <stig@bjorlykke.org>
Date:   Mon May 29 08:51:30 2017 +0200

    Qt: Fix capture filter verification for non-extcap interfaces.
    
    Change-Id: Id45052f21ebb290bf92c201370584156a65f2e19
    Reviewed-on: https://code.wireshark.org/review/21777
    Petri-Dish: Stig Bjørlykke <stig@bjorlykke.org>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 10d7e391b3c9de2ea66a46980bf2362bb79292f3)
    Reviewed-on: https://code.wireshark.org/review/21782

commit b539bed
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 28 08:36:32 2017 +0000

    [Automatic update for 2017-05-28]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iaf2ad46cde0aefb702e970be404274b51cf09789
    Reviewed-on: https://code.wireshark.org/review/21774
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 1736884
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 25 15:27:18 2017 -0400

    GTK: Don't allow extcap capture filters to be verified.
    
    There isn't an API to do it and if WinPcap isn't present it can
    cause a crash.
    
    Change-Id: I5338f854acb26f0822ac027e6c853a550da3f7b1
    Reviewed-on: https://code.wireshark.org/review/21758
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit d14b8f6fc5bc727355cd317197fab5b0fb349f4b)
    Reviewed-on: https://code.wireshark.org/review/21763

commit 4a0a6b6
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu May 25 14:36:44 2017 -0400

    Don't try to compile capture filter if pcap_compile isn't available.
    
    This is most likely due to WinPcap not being installed.
    
    Bug: 13672
    Change-Id: Ic7069f98c7f8068cdc5045204c2e23ab56b3f7eb
    Reviewed-on: https://code.wireshark.org/review/21757
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 9bd2b63968ecde680cdee8e8eff43e526ef178f4)
    Reviewed-on: https://code.wireshark.org/review/21761
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 8be27d9
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 21 08:38:13 2017 +0000

    [Automatic update for 2017-05-21]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I3aef5fe7d0ef220dce989522ed9cf720c3046512
    Reviewed-on: https://code.wireshark.org/review/21725
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 7c39a77
Author: Björn Ruytenberg <bjorn@bjornweb.nl>
Date:   Fri May 19 19:03:29 2017 +0200

    msnip: Verify pinfo->dst is a valid IPv4 address
    
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1678
    Bug: 13725
    Change-Id: Ib61733200658b4cca0bb0f45e5445b0ed3c12ab0
    Reviewed-on: https://code.wireshark.org/review/21712
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit b2923e93133e21f18799124eff01156088980456)
    Reviewed-on: https://code.wireshark.org/review/21714
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit b50db6d
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Sun May 14 19:33:12 2017 +0200

    SMB: Fix dissection of SMB_COM_TRANSACTION2_SECONDARY (0x33)
    
    Issue reported by Alex
    Bug: 13690
    Change-Id: I6c0c01569be8474e1cbab0c8ca009c00394e1ffe
    Reviewed-on: https://code.wireshark.org/review/21650
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    Petri-Dish: Anders Broman <a.broman58@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit c30bb2c75e3291a6a676ad74ab88934ca329106f)
    Reviewed-on: https://code.wireshark.org/review/21657
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 2bc0189
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 14 08:35:59 2017 +0000

    [Automatic update for 2017-05-14]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I79d4e86a0a7eff81043094657695e2a93c043258
    Reviewed-on: https://code.wireshark.org/review/21632
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 6308ae0
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Fri May 12 20:39:40 2017 +0200

    BT L2CAP: avoid a division by 0
    
    Bug: 13701
    Change-Id: Ie433ecd932dcfc40fa6d3fdc3fa00139c64584a2
    Reviewed-on: https://code.wireshark.org/review/21618
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit d566531ae5874bfd63c2755cba95cd63b7a4a189)
    Reviewed-on: https://code.wireshark.org/review/21622

commit e280c9b
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Fri May 5 11:46:07 2017 +0200

    dns: improve loop detection in label decompression
    
    Previously the number of allowed pointers within a message is equal to
    the data in a tvb (16575 in one example). This is still expensive, so
    implement an alternative detection mechanism that looks for a direct
    self-loop and limits the total pointers to about 256.
    
    Bug: 13633
    Change-Id: I803873e24ab170c7ef0b881d3bdc9dfd4014de97
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1206
    Reviewed-on: https://code.wireshark.org/review/21507
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Martin Kaiser <wireshark@kaiser.cx>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit 129bdb5a164a6386c35ff387e9d8f0d3d6a12dbf)
    Reviewed-on: https://code.wireshark.org/review/21597

commit 3c11f3e
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun May 7 09:05:27 2017 -0700

    [Automatic update for 2017-05-07]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I72a482d91acc968379f842fa3c4705d793195ff3
    Reviewed-on: https://code.wireshark.org/review/21549
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 3af3aca
Author: Michael Mann <mmann78@netscape.net>
Date:   Fri May 5 17:23:59 2017 -0400

    packet-dcm.c: Fix infinite loop
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1329
    Bug: 13685
    Change-Id: Ic70cf8185beeb4cfa9417c287cf963e1c56bf86c
    Reviewed-on: https://code.wireshark.org/review/21529
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 538abdfbc2225e8c39de99811fb9cbef53b0911b)
    Reviewed-on: https://code.wireshark.org/review/21535

commit a6e033c
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Thu May 4 18:45:55 2017 +0200

    bootp: fix potential buffer overflow (read)
    
    The Vendor class Identifier is a string (used with strncmp). Be sure to
    obtain a null-terminated string.
    
    Bug: 13628
    Change-Id: Ic6457da171fbfa1bd18366d965d22e942fb080d6
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1183
    Bug: 13609
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1153
    Reviewed-on: https://code.wireshark.org/review/21498
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Alexis La Goutte <alexis.lagoutte@gmail.com>
    (cherry picked from commit 508bec78a39f0c7a2a54986b7616e4f615d6f170)
    Reviewed-on: https://code.wireshark.org/review/21501
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit 26351a4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Wed May 3 14:23:54 2017 -0700

    Put back the null terminator in the list of handles.
    
    The code to scan the list has always required a null terminator, but
    change 96f517647a8f8b22c66eacf6e3d8bea9d8b8c68f got rid of the null
    terminator.
    
    Change-Id: I13c1553114e08e8617adaf8874ffb5e7c7c4b2d3
    Reviewed-on: https://code.wireshark.org/review/21477
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 81292f3ac786578f0cadee55f16f6dfb8315b705)
    Reviewed-on: https://code.wireshark.org/review/21479

commit 8c5e0ce
Author: Michael Mann <mmann78@netscape.net>
Date:   Sat Apr 29 10:30:23 2017 -0400

    packet-bzr.c: Prevent infinite loop
    
    Bug: 13599
    Change-Id: If85588099d7c6635865614f8778a903a5e971789
    Reviewed-on: https://code.wireshark.org/review/21410
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit afb4de370a4c54e08e9367b55ae142414efc6e8f)
    Reviewed-on: https://code.wireshark.org/review/21460

commit 9975ac5
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 30 08:59:10 2017 -0700

    [Automatic update for 2017-04-30]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: I42367b3972b1e46f99054b90a9e1b374a3e9df1f
    Reviewed-on: https://code.wireshark.org/review/21429
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit f7f6294
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 28 20:00:14 2017 -0700

    Don't add /usr/X11/lib/pkgconfig if we're not using GTK+.
    
    Qt for macOS doesn't use X11, so you don't need X11.
    
    Change-Id: Ibc09a2d802f21b5be38baf735d2f6d582d6bf41f
    Reviewed-on: https://code.wireshark.org/review/21401
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 5bda98586b4f81c14a5f3b8feacd10392dc0d078)
    Reviewed-on: https://code.wireshark.org/review/21403

commit 23bf51d
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 28 19:55:44 2017 -0700

    Get rid of a message that should no longer apply.
    
    The version of pkg-config downloaded and built by macosx-setup.sh
    defaults to looking in, among other places, /usr/local/lib/pkgconfig, so
    you don't need to add that to PKG_CONFIG_PATH on macOS; Wireshark for
    macOS no longer uses X11, so you don't need to add
    /usr/X11/lib/pkgconfig to PKG_CONFIG_PATH on macOS.
    
    Change-Id: I84fd6848b72010aafd7859c4e9c0a4362113c890
    Reviewed-on: https://code.wireshark.org/review/21398
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 57b17187d5eda5dd481d1bf5c5e026866fc38e91)
    Reviewed-on: https://code.wireshark.org/review/21399
    (cherry picked from commit 6e652aac92207386e360ac78f001810a2cd59842)
    Reviewed-on: https://code.wireshark.org/review/21400

commit dbc7cb0
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 27 09:15:01 2017 -0400

    [OpenSafety] Bugfix invalid length calculation.
    
    Length calculation leads to -1, which will result in a large malloc
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1212
    Bug: 13649
    Change-Id: Iccb78b8c8ec9ca8e8f97bc12d0d8f41526d1f791
    Reviewed-on: https://code.wireshark.org/review/21367
    Reviewed-by: Roland Knall <rknall@gmail.com>
    Petri-Dish: Roland Knall <rknall@gmail.com>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit f6431695049116176361ce4691dfd3c77ab19858)
    Reviewed-on: https://code.wireshark.org/review/21376
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 3a77395
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 27 09:28:25 2017 -0400

    packet-rgmp.c: Ensure pinfo->dst is a valid IPv4 address
    
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1243
    Bug: 13646
    Change-Id: I2174e79dd2a9679f099c87c55c33984aca891d22
    Reviewed-on: https://code.wireshark.org/review/21368
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 3f7f131ef372ec3a22f6363ab89dcdc0fba2b377)
    Reviewed-on: https://code.wireshark.org/review/21386

commit 4880242
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 27 09:50:34 2017 -0400

    packet-sigcomp.c: Prevent large shift
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1232
    Bug: 13641
    Change-Id: I6e53d07dd03a5b637ca27884fad32ba5f7a85d0e
    Reviewed-on: https://code.wireshark.org/review/21369
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit a1152a2a1f486e07e861afcc56ab0f16bb9c7a83)
    Reviewed-on: https://code.wireshark.org/review/21374

commit f6d2136
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 27 09:58:14 2017 -0400

    packet-netsync.c: Prevent large shift
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1221
    Bug: 13639
    Change-Id: I0b67a270460473917f2481f79f404e4599727508
    Reviewed-on: https://code.wireshark.org/review/21370
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 92903583f8373af782efe7ae64352ec1e426e35a)
    Reviewed-on: https://code.wireshark.org/review/21372

commit 00bfeb5
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Tue Apr 25 22:01:21 2017 +0200

    ISUP: restore number indicators2 display like what was done in master-1.12
    
    proto_tree_add_bitmask_list() should avoided as there is an interpreted field.
    
    Bug: 13588
    Change-Id: Iec6bf9bb4002123b6913fbee6287472aaf9bc00b
    Reviewed-on: https://code.wireshark.org/review/21340
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit 821a3466c68ed509d8f71e34a62a2227823b1e55)
    Reviewed-on: https://code.wireshark.org/review/21353

commit c14a738
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Apr 25 12:13:01 2017 +0200

    ieee80211: fix stack-use-after-return
    
    Bug: 13662
    Change-Id: I26c53ecc78005b26908d74877814be22924848bc
    Fixes: v1.11.3-rc1-2029-g4b8b83407a ("Support for IEEE 802.11ad")
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1268
    Reviewed-on: https://code.wireshark.org/review/21333
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    (cherry picked from commit bfd1461ec81311f31e9fc0f3f298ae779911c7f4)
    Reviewed-on: https://code.wireshark.org/review/21338

commit 4b3657a
Author: Pascal Quantin <pascal.quantin@gmail.com>
Date:   Mon Apr 24 21:16:37 2017 +0200

    GSM SMS: fix display of reassembled 8 bits SMS
    
    Change-Id: I0052fb1f311f18180fbc7c6b8bd2fbf23215ad67
    Reviewed-on: https://code.wireshark.org/review/21319
    Reviewed-by: Pascal Quantin <pascal.quantin@gmail.com>
    (cherry picked from commit cb089dd2ff20cd7cc165de303de075bcb6be3afc)
    Reviewed-on: https://code.wireshark.org/review/21323
    Petri-Dish: Pascal Quantin <pascal.quantin@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 6c0bd15
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Sat Apr 22 18:46:23 2017 +0200

    slsk: fix infinite loop
    
    If check_slsk_format reports that the buffer does not contain the
    expected data, do not try to find more items (break out of the loop).
    
    In one case, an infinite loop would occur because the index variable was
    not incremented when the check fails. In all other cases, it would
    perform up to 2^32 calls to check_slsk_format per loop (with the same
    offset parameter, so no exception is triggered).
    
    Change-Id: I4b7fa10a36fee2551fa46831bcecd6bcd9f342d1
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1200
    Bug: 13631
    Reviewed-on: https://code.wireshark.org/review/21284
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Anders Broman <a.broman58@gmail.com>
    (cherry picked from commit 7eab596c0824e6fa20aad6932bcd2fdb94b86edf)
     [ Conflicts: manually resolved, skipped removal of "i = 0" from lines
       where "j = tvb_get_letohl(...)" occurs ]
    Reviewed-on: https://code.wireshark.org/review/21296
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 8525318ec4babcd946bd34c68dd2aed4d7089162)
    Reviewed-on: https://code.wireshark.org/review/21309
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 33129db
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 23 08:57:55 2017 -0700

    [Automatic update for 2017-04-23]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Iee99549ab908cd49c189d3f39674897cdfddadd7
    Reviewed-on: https://code.wireshark.org/review/21300
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 898fba4
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Apr 19 21:43:49 2017 -0400

    packet-quakeworld.c: Fix potential out of bounds error.
    
    Overflow can occur while writing to a buffer.
    
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1179
    Bug: 13624
    Change-Id: I7511c43ed67f81d246e3eb66e092353e2ab4924c
    Reviewed-on: https://code.wireshark.org/review/21235
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 22f05d620f428c0769227f0173876c95fb9aead4)
    Reviewed-on: https://code.wireshark.org/review/21286

commit fe606d4
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 21 03:10:21 2017 -0700

    Code in epan/dissectors may require GeoIP.h, so include LIBGEOIP_FLAGS.
    
    Change-Id: I31bd53c49906db24b64fa3f1e3078b0658db3158
    Reviewed-on: https://code.wireshark.org/review/21269
    Petri-Dish: Guy Harris <guy@alum.mit.edu>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 2c52d954d5713be1b809c3b668b0353d2b355c16)
    Reviewed-on: https://code.wireshark.org/review/21275
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit bf3ad38432b1a78f06ec3adc279012d433227184)
    Reviewed-on: https://code.wireshark.org/review/21276

commit 6f9917d
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 20 08:44:52 2017 -0400

    dwarf.c: Fix potential too large shift
    
    https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1167
    Bug: 13616
    
    Change-Id: I43ab629ad8368bf672d1c079219d6b055c431e86
    Reviewed-on: https://code.wireshark.org/review/21249
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 70b6e406e783eab172b4b9e90e9e7e624d7facb8)
    Reviewed-on: https://code.wireshark.org/review/21264

commit beddedf
Author: Michael Mann <mmann78@netscape.net>
Date:   Thu Apr 20 13:05:52 2017 -0400

    sigcomp: Shift operand should be limited to 16 bits
    
    # Conflicts:
    #       epan/dissectors/packet-sigcomp.c
    
    Change-Id: I5a6fbcacf874962c361e68fef7402dc775aca658
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1154
    Bug: 13610
    Reviewed-on: https://code.wireshark.org/review/21250
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Reviewed-on: https://code.wireshark.org/review/21258
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>

commit 0b4bb13
Author: Guy Harris <guy@alum.mit.edu>
Date:   Thu Apr 20 11:46:45 2017 -0700

    cf_open() pops up a dialog box on errors; its callers shouldn't do so.
    
    Change-Id: I1c65854b5bde1c64d70cb17a13080829f0faa27b
    Reviewed-on: https://code.wireshark.org/review/21253
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d97ce76161f573beb88fff7eefe4e0f686a4f3a9)
    Reviewed-on: https://code.wireshark.org/review/21255

commit 1df8420
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Apr 19 22:38:09 2017 -0400

    packet-sigcomp.c: Fix potential negative shift
    
    Bug: 13619
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1172
    Change-Id: Ifa5ed88031425701f9cb14c80eb61311e0bba4aa
    Reviewed-on: https://code.wireshark.org/review/21236
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 2ab4f63dea65de2e00fa488a35a86cfd494d5fca)
    Reviewed-on: https://code.wireshark.org/review/21244

commit babcafa
Author: Michael Mann <mmann78@netscape.net>
Date:   Wed Apr 19 22:51:45 2017 -0400

    packet-xot.c: Handle potentially large representation of packet sizes
    
    Value on wire is 2^x, so represent the field that way.
    
    Bug: 13618
    Change-Id: Ida4a85e1f52b29b8b89fa835f78ef3fff2bde5c9
    Reviewed-on: https://code.wireshark.org/review/21237
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Jaap Keuter <jaap.keuter@xs4all.nl>
    (cherry picked from commit 3e755bb0c1b8ad9e466db1d02d76995ce1d39763)
    Reviewed-on: https://code.wireshark.org/review/21242
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>

commit dd1378b
Author: Jaap Keuter <jaap.keuter@xs4all.nl>
Date:   Tue Apr 18 23:24:23 2017 +0200

    RTCP: Handle large TMMBR value presentation
    
    TMMBR can be _very_ large (131072*2^63, larger than 64 bit entities can
    hold). Therefore don't try to calculate and present the bitrate as an
    integer value, but as an expression.
    
    Bug: 13611
    Change-Id: Ieb8caae5d72d06f82c134eda63f99575218584c2
    Reviewed-on: https://code.wireshark.org/review/21207
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 05140af874e9bd86160659dbc8541373d662e290)
    Reviewed-on: https://code.wireshark.org/review/21213

commit 4dbd37b
Author: Xiaochuan Sun <linuxvxworks@gmail.com>
Date:   Mon Apr 17 19:39:15 2017 +0800

    remove unnecessary guint64 cast in IO graph
    
    Change-Id: I35d666a5a9fb5813706c312334f1552703c9475c
    Reviewed-on: https://code.wireshark.org/review/21214
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit d13c6d9628e3964697559e3509d9c1f8ec30ed9e)
    Reviewed-on: https://code.wireshark.org/review/21217

commit d8300b3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Apr 18 16:28:52 2017 +0200

    netflow: fix undefined shift
    
    Treat any prefix length larger than 32 as 32 (effectively not masking
    anything) and treat a zero-length prefix as the empty mask (matching
    anything).
    
    Change-Id: If96b03c2f76ff7624d50fefdf0b025ab373c07dc
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1152
    Bug: 13607
    Reviewed-on: https://code.wireshark.org/review/21189
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 870b3d2c0f46addafb6a7dab4278de48edc33535)
    Reviewed-on: https://code.wireshark.org/review/21202
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit 3781da3
Author: Peter Wu <peter@lekensteyn.nl>
Date:   Tue Apr 18 16:01:10 2017 +0200

    ositp: fix undefined behavior from large shift
    
    Display "2^105" instead of the expanded value.
    
    Change-Id: I455625ab66cd86587ca35d09e1eba98ae1d87a94
    Link: https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=1149
    Bug: 13606
    Reviewed-on: https://code.wireshark.org/review/21188
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Petri-Dish: Peter Wu <peter@lekensteyn.nl>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit 5df6cc4b3da71f3d9564eab1ed25f4d3ad21a3ff)
    Reviewed-on: https://code.wireshark.org/review/21197
    Petri-Dish: Michael Mann <mmann78@netscape.net>

commit a754c75
Author: Gerald Combs <gerald@wireshark.org>
Date:   Sun Apr 16 08:59:00 2017 -0700

    [Automatic update for 2017-04-16]
    
    Update manuf, services enterprise-numbers, translations, and other items.
    
    Change-Id: Ie1105b2a45ff936985d304e78674d943db7056c9
    Reviewed-on: https://code.wireshark.org/review/21144
    Reviewed-by: Gerald Combs <gerald@wireshark.org>

commit 10c78dc
Author: Alexis La Goutte <alexis.lagoutte@gmail.com>
Date:   Wed Apr 12 14:15:00 2017 +0200

    btatt: failed assertion 'hf->bitmask != 0' (btatt.glucose_measurement.type_and_sample_location.type)
    
    Fixes: v1.99.9rc0-246-ga50a49e527 ("Bluetooth: ATT: Add some remaining attributes")
    
    Bug: 13590
    Change-Id: I8e92ec80ee9e93a3e507f86c8354f1909070b0b9
    Reviewed-on: https://code.wireshark.org/review/21041
    Petri-Dish: Alexis La Goutte <alexis.lagoutte@gmail.com>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Peter Wu <peter@lekensteyn.nl>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit f4f252d4c4b1d498c81d22686b160c7feccdc68d)
    Reviewed-on: https://code.wireshark.org/review/21140

commit 773f782
Author: Uli Heilmeier <uh@heilmeier.eu>
Date:   Fri Apr 14 14:46:11 2017 +0200

    DICOM: Revert 3752a643ac5c85622822c88c69d83ce23828acb8
    
    Revert commit 3752a643ac5c85622822c88c69d83ce23828acb8
    to fix bug 13164 and bug 13570 introduced with this commit.
    
    This reopens bug 13110.
    
    Bug: 13164
    Bug: 13570
    Change-Id: Id237f08258ca100f675614a9cb36a32340944b3e
    Reviewed-on: https://code.wireshark.org/review/21089
    Petri-Dish: Michael Mann <mmann78@netscape.net>
    Tested-by: Petri Dish Buildbot <buildbot-no-reply@wireshark.org>
    Reviewed-by: Michael Mann <mmann78@netscape.net>
    (cherry picked from commit ce50000f14da32dd2ae50f5b5efa12333e29dfcc)
    Reviewed-on: https://code.wireshark.org/review/21122

commit bca0446
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 15 14:45:12 2017 -0700

    Catch attempts to pass unregistered protocols to prefs routines.
    
    That way, you don't end up with "(none)" being used as the filter name
    and getting confusing error messages.
    
    Change-Id: Ifc77d4434d82dabebe74118742938cfa5234791d
    Reviewed-on: https://code.wireshark.org/review/21118
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit cbc2c84a27f3158784238cbc4b2076618b7dc6e4)
    Reviewed-on: https://code.wireshark.org/review/21120

commit 740049c
Author: Guy Harris <guy@alum.mit.edu>
Date:   Sat Apr 15 12:37:34 2017 -0700

    Squelch some compiler warnings.
    
    Cast an ssize_t value to unsigned int before subtracting it from an
    unsigned int.  The value is already known to be >= 0 and <= the value
    from which we're subtracting it, and that latter value is an unsigned
    int, so it's guaranteed to fit into an unsigned int.  (ssize_t can be
    bigger than unsigned int.)
    
    Change-Id: I5c4d3c7fa4bf241c9ea72661beca89bc30495a3b
    Reviewed-on: https://code.wireshark.org/review/21114
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 237d23dc7355f066d772ba6ad184d5f99c25fa5a)
    Reviewed-on: https://code.wireshark.org/review/21116

commit d2f46bc
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 14 18:28:25 2017 -0700

    Make whitespace match what's checked into the SQLite repository.
    
    They accepted some of our changes, but with no space between "struct
    XXX" and "*.  Whatever.
    
    Change-Id: I6b29462dc8b04ebf0822f8512d82f5f8df575447
    Reviewed-on: https://code.wireshark.org/review/21101
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit 3bd767108391e6d3498241b20e86ca176dffc185)
    Reviewed-on: https://code.wireshark.org/review/21103

commit 55563cb
Author: Guy Harris <guy@alum.mit.edu>
Date:   Fri Apr 14 12:34:18 2017 -0700

    Give a better error message for invalid characters in preference module names.
    
    And make the message for an invalid character in a preference name more
    like it, by putting the offending name in quotes.
    
    Change-Id: I40db8b87eae5e46a1d49213a9a45861b6b3565af
    Reviewed-on: https://code.wireshark.org/review/21092
    Reviewed-by: Guy Harris <guy@alum.mit.edu>
    (cherry picked from commit c398858205724434bfcbec0ffed1f4223c2c85d1)
    Reviewed-on: https://code.wireshark.org/review/21094

commit 3e274e2
Author: Gerald Combs <gerald@wireshark.org>
Date:   Wed Apr 12 15:12:51 2017 -0700

    2.0.12 → 2.0.13.
    
    Change-Id: I9aa5d3cb22614c2455395e0c477abeebe04b46d7
    Reviewed-on: https://code.wireshark.org/review/21066
    Reviewed-by: Gerald Combs <gerald@wireshark.org>
